/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DTAB.CPP   1.5   20 Jun 1996 09:29:26   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DTAB.CPP  $
** 
**    Rev 1.5   20 Jun 1996 09:29:26   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:04   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:35:42   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dtab.cpp
//
// Michael Long
//                                                                           
// 5/16/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"    
#include "dc.h"
#include "dcoption.h"
#include "da.h"
#include "daoption.h"
#include "dl.h"
#include "dloption.h"
#include "dlib.h"
#include "dlibopti.h"
#include "de.h"
#include "deoption.h"

#include "dtab.h"
#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
IMPLEMENT_DYNAMIC(CDTab, CPropertySheet)                                                

/////////////////////////////////////////////////////////////////////////////
// CDTab

CDTab::CDTab(DCTool * pc, DATool * pa, DLTool * pl,DLIBTool *plib,DETool * pe, CWnd *pParent)
 : CPropertySheet("OMF51 Options", pParent),
    m_copt(pc), m_aopt(pa), m_lopt(pl), m_libopt(plib) , m_eopt(pe)
{
    AddPage(&m_copt);
    AddPage(&m_aopt);
    AddPage(&m_lopt);
    AddPage(&m_libopt);
    AddPage(&m_eopt);
}                                                                  


CDTab::~CDTab()
{
}

BEGIN_MESSAGE_MAP(CDTab, CPropertySheet)
    //{{AFX_MSG_MAP(CDTab)
    ON_WM_CREATE()
    ON_COMMAND(IDOK, OnOK)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDTab message handlers


int CDTab::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CPropertySheet::OnCreate(lpCreateStruct) == -1)
        return -1;
    
    // TODO: Add your specialized creation code here
    CenterWindow();
    
    GetDlgItem(ID_APPLY_NOW)->ShowWindow(SW_HIDE);
    
    return 0;
}

void CDTab::OnOK()
{
    GetActivePage()->UpdateData(TRUE);

    m_copt.SaveData();
    m_aopt.SaveData();
    m_lopt.SaveData();
    m_libopt.SaveData();
    m_eopt.SaveData();
    
    CPropertySheet::OnOK();
}                           
